INTEL_FRONTBUFFER_FL(9)

NAME
intel_frontbuffer_flip - synchronous frontbuffer flip

SYNOPSIS

void intel_frontbuffer_flip(struct drm_device * dev, unsigned frontbuffer_bits);

ARGUMENTS

dev
    DRM device

frontbuffer_bits
    frontbuffer plane tracking bits

DESCRIPTION

This function gets called after scheduling a flip on obj. This is for synchronous plane updates which will happen on the next vblank and which will not get delayed by pending gpu rendering.

Can be called without any locks held.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT